Name:           freetumble
Version:        1.1
Release:        %mkrel 2
Summary:        Colourful puzzle game with three game modes
Group:          Games/Arcade
License:        GPLv3+ and CC-BY-SA and CC-BY
URL:            https://github.com/akien-mga/freetumble
Source0:        https://github.com/akien-mga/freetumble/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(sfml-audio)
BuildRequires:  pkgconfig(sfml-graphics)
BuildRequires:  pkgconfig(sfml-system)
BuildRequires:  pkgconfig(sfml-window)

%description
FreeTumble is a free colourful puzzle game for Windows and Linux.
It features three game modes, with simple rules but different gameplay.

NORMAL: Click groups of 3 or more stones to make them disappear.
Each time you click a group, a new row will be added. Don't let the
stones reach the top of the grid or you're done, and make a good use
of the various bonus stones available!

MOTION: Pretty much the same as the 'Normal' game, but real time:
the new row will be added after an amount of time (decreasing as the
player level increases).

CLASSIC: Click groups of two or more stones to make them disappear.
Try to clear the entire grid to get the best score.

%prep
%setup -q

%build
%cmake -DFOR_INSTALL=ON
%make_build

%install
%make_install -C build

%files
%doc CHANGELOG.md LICENSE.txt README.md
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/64x64/apps/%{name}.png


%changelog
* Sun Nov 13 2016 akien <akien> 1.1-2.mga6
+ Revision: 1067065
- Rebuild for SFML 2.4.1

* Tue Mar 29 2016 akien <akien> 1.1-1.mga6
+ Revision: 996358
- imported package freetumble

